import{S as Ee,i as Ne,s as Pe,e as o,k as c,w as ie,t as s,M as Le,c as a,d as r,m as p,a as l,x as me,h as i,b as u,G as e,g as E,y as de,L as De,q as ce,o as pe,B as ge,v as Ie}from"../../chunks/vendor-hf-doc-builder.js";import{D as ke}from"../../chunks/Docstring-hf-doc-builder.js";import{I as Te}from"../../chunks/IconCopyLink-hf-doc-builder.js";function Ae(fe){let g,O,f,h,N,y,G,P,z,S,n,v,K,L,V,W,D,B,H,b,J,I,X,Q,Y,w,Z,T,ee,te,j,m,x,re,A,oe,ae,$,ne,M,le,se,C;return y=new Te({}),v=new ke({props:{name:"timm.create_model",anchor:"timm.create_model",parameters:[{name:"model_name",val:": str"},{name:"pretrained",val:": bool = False"},{name:"pretrained_cfg",val:": typing.Union[str, typing.Dict[str, typing.Any], timm.models._pretrained.PretrainedCfg, NoneType] = None"},{name:"pretrained_cfg_overlay",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"checkpoint_path",val:": str = ''"},{name:"scriptable",val:": typing.Optional[bool] = None"},{name:"exportable",val:": typing.Optional[bool] = None"},{name:"no_jit",val:": typing.Optional[bool] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"timm.create_model.model_name",description:"<strong>model_name</strong> (str) &#x2014; name of model to instantiate",name:"model_name"},{anchor:"timm.create_model.pretrained",description:"<strong>pretrained</strong> (bool) &#x2014; load pretrained ImageNet-1k weights if true",name:"pretrained"},{anchor:"timm.create_model.pretrained_cfg",description:"<strong>pretrained_cfg</strong> (Union[str, dict, PretrainedCfg]) &#x2014; pass in external pretrained_cfg for model",name:"pretrained_cfg"},{anchor:"timm.create_model.pretrained_cfg_overlay",description:"<strong>pretrained_cfg_overlay</strong> (dict) &#x2014; replace key-values in base pretrained_cfg with these",name:"pretrained_cfg_overlay"},{anchor:"timm.create_model.checkpoint_path",description:"<strong>checkpoint_path</strong> (str) &#x2014; path of checkpoint to load <em>after</em> the model is initialized",name:"checkpoint_path"},{anchor:"timm.create_model.scriptable",description:"<strong>scriptable</strong> (bool) &#x2014; set layer config so that model is jit scriptable (not working for all models yet)",name:"scriptable"},{anchor:"timm.create_model.exportable",description:"<strong>exportable</strong> (bool) &#x2014; set layer config so that model is traceable / ONNX exportable (not fully impl/obeyed yet)",name:"exportable"},{anchor:"timm.create_model.no_jit",description:"<strong>no_jit</strong> (bool) &#x2014; set layer config so that model doesn&#x2019;t utilize jit scripted layers (so far activations only)",name:"no_jit"}],source:"https://github.com/rwightman/pytorch-image-models/blob/main/timm/models/_factory.py#L38"}}),x=new ke({props:{name:"timm.list_models",anchor:"timm.list_models",parameters:[{name:"filter",val:": typing.Union[str, typing.List[str]] = ''"},{name:"module",val:": str = ''"},{name:"pretrained",val:": bool = False"},{name:"exclude_filters",val:": typing.Union[str, typing.List[str]] = ''"},{name:"name_matches_cfg",val:": bool = False"},{name:"include_tags",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"timm.list_models.filter",description:"<strong>filter</strong> - Wildcard filter string that works with fnmatch &#x2014;",name:"filter"},{anchor:"timm.list_models.module",description:"<strong>module</strong> - Limit model selection to a specific submodule (ie &#x2018;vision_transformer&#x2019;) &#x2014;",name:"module"},{anchor:"timm.list_models.pretrained",description:"<strong>pretrained</strong> - Include only models with valid pretrained weights if True &#x2014;",name:"pretrained"},{anchor:"timm.list_models.exclude_filters",description:"<strong>exclude_filters</strong> - Wildcard filters to exclude models after including them with filter &#x2014;",name:"exclude_filters"},{anchor:"timm.list_models.name_matches_cfg",description:"<strong>name_matches_cfg</strong> - Include only models w/ model_name matching default_cfg name (excludes some aliases) &#x2014;",name:"name_matches_cfg"},{anchor:"timm.list_models.include_tags",description:`<strong>include_tags</strong> - Include pretrained tags in model names (model.tag). If None, defaults &#x2014;
set to True when pretrained=True else False (default: None)`,name:"include_tags"}],source:"https://github.com/rwightman/pytorch-image-models/blob/main/timm/models/_registry.py#L170",returnDescription:`
<p>models - The sorted list of models</p>
`}}),{c(){g=o("meta"),O=c(),f=o("h1"),h=o("a"),N=o("span"),ie(y.$$.fragment),G=c(),P=o("span"),z=s("Models"),S=c(),n=o("div"),ie(v.$$.fragment),K=c(),L=o("p"),V=s("Create a model"),W=c(),D=o("p"),B=s("Lookup model\u2019s entrypoint function and pass relevant args to create a new model."),H=c(),b=o("p"),J=s(`**kwargs will be passed through entrypoint fn to timm.models.build_model_with_cfg()
and then the model class `),I=o("strong"),X=s("init"),Q=s("(). kwargs values set to None are pruned before passing."),Y=c(),w=o("p"),Z=s(`Keyword Args:
drop_rate (float): dropout rate for training (default: 0.0)
global_pool (str): global pool type (default: \u2018avg\u2019)
**: other kwargs are consumed by builder or model `),T=o("strong"),ee=s("init"),te=s("()"),j=c(),m=o("div"),ie(x.$$.fragment),re=c(),A=o("p"),oe=s("Return list of available model names, sorted alphabetically"),ae=c(),$=o("p"),ne=s(`Example:
model_list(\u2018gluon_resnet`),M=o("em"),le=s(`\u2019) \u2014 returns all models starting with \u2018gluon_resnet\u2019
model_list(\u2019`),se=s("resnext*, \u2018resnet\u2019) \u2014 returns all models with \u2018resnext\u2019 in \u2018resnet\u2019 module"),this.h()},l(t){const _=Le('[data-svelte="svelte-1phssyn"]',document.head);g=a(_,"META",{name:!0,content:!0}),_.forEach(r),O=p(t),f=a(t,"H1",{class:!0});var U=l(f);h=a(U,"A",{id:!0,class:!0,href:!0});var _e=l(h);N=a(_e,"SPAN",{});var he=l(N);me(y.$$.fragment,he),he.forEach(r),_e.forEach(r),G=p(U),P=a(U,"SPAN",{});var ue=l(P);z=i(ue,"Models"),ue.forEach(r),U.forEach(r),S=p(t),n=a(t,"DIV",{class:!0});var d=l(n);me(v.$$.fragment,d),K=p(d),L=a(d,"P",{});var ye=l(L);V=i(ye,"Create a model"),ye.forEach(r),W=p(d),D=a(d,"P",{});var ve=l(D);B=i(ve,"Lookup model\u2019s entrypoint function and pass relevant args to create a new model."),ve.forEach(r),H=p(d),b=a(d,"P",{});var R=l(b);J=i(R,`**kwargs will be passed through entrypoint fn to timm.models.build_model_with_cfg()
and then the model class `),I=a(R,"STRONG",{});var be=l(I);X=i(be,"init"),be.forEach(r),Q=i(R,"(). kwargs values set to None are pruned before passing."),R.forEach(r),Y=p(d),w=a(d,"P",{});var F=l(w);Z=i(F,`Keyword Args:
drop_rate (float): dropout rate for training (default: 0.0)
global_pool (str): global pool type (default: \u2018avg\u2019)
**: other kwargs are consumed by builder or model `),T=a(F,"STRONG",{});var we=l(T);ee=i(we,"init"),we.forEach(r),te=i(F,"()"),F.forEach(r),d.forEach(r),j=p(t),m=a(t,"DIV",{class:!0});var k=l(m);me(x.$$.fragment,k),re=p(k),A=a(k,"P",{});var xe=l(A);oe=i(xe,"Return list of available model names, sorted alphabetically"),xe.forEach(r),ae=p(k),$=a(k,"P",{});var q=l($);ne=i(q,`Example:
model_list(\u2018gluon_resnet`),M=a(q,"EM",{});var $e=l(M);le=i($e,`\u2019) \u2014 returns all models starting with \u2018gluon_resnet\u2019
model_list(\u2019`),$e.forEach(r),se=i(q,"resnext*, \u2018resnet\u2019) \u2014 returns all models with \u2018resnext\u2019 in \u2018resnet\u2019 module"),q.forEach(r),k.forEach(r),this.h()},h(){u(g,"name","hf:doc:metadata"),u(g,"content",JSON.stringify(Me)),u(h,"id","timm.create_model"),u(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(h,"href","#timm.create_model"),u(f,"class","relative group"),u(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,_){e(document.head,g),E(t,O,_),E(t,f,_),e(f,h),e(h,N),de(y,N,null),e(f,G),e(f,P),e(P,z),E(t,S,_),E(t,n,_),de(v,n,null),e(n,K),e(n,L),e(L,V),e(n,W),e(n,D),e(D,B),e(n,H),e(n,b),e(b,J),e(b,I),e(I,X),e(b,Q),e(n,Y),e(n,w),e(w,Z),e(w,T),e(T,ee),e(w,te),E(t,j,_),E(t,m,_),de(x,m,null),e(m,re),e(m,A),e(A,oe),e(m,ae),e(m,$),e($,ne),e($,M),e(M,le),e($,se),C=!0},p:De,i(t){C||(ce(y.$$.fragment,t),ce(v.$$.fragment,t),ce(x.$$.fragment,t),C=!0)},o(t){pe(y.$$.fragment,t),pe(v.$$.fragment,t),pe(x.$$.fragment,t),C=!1},d(t){r(g),t&&r(O),t&&r(f),ge(y),t&&r(S),t&&r(n),ge(v),t&&r(j),t&&r(m),ge(x)}}}const Me={local:"timm.create_model",title:"Models"};function Oe(fe){return Ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ue extends Ee{constructor(g){super();Ne(this,g,Oe,Ae,Pe,{})}}export{Ue as default,Me as metadata};
